Page MenuHomePhabricator

CX2: Prefetch MT and adaptations for the next paragraph
Closed, ResolvedPublic

Description

Adding a paragraph to the translation requires processing time to obtain the machine translation, adapt links, etc. We can reduce the wait for the user if this processing is done in advance.

Considering that many users will add paragraphs in sequence, we can make the requests for the next paragraph. This will make the tool feel faster.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterCX2: Prefetch MT and adaptations for the next paragraph

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 26 2018, 10:09 AM
Pginer-WMF triaged this task as Low priority.Apr 26 2018, 10:09 AM
Vvjjkkii renamed this task from CX2: Prefetch MT and adaptations for the next paragraph to r6daaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii raised the priority of this task from Low to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
Mainframe98 renamed this task from r6daaaaaaa to CX2: Prefetch MT and adaptations for the next paragraph.Jul 1 2018, 9:07 AM
Mainframe98 lowered the priority of this task from High to Low.
Mainframe98 updated the task description. (Show Details)
Mainframe98 added a subscriber: Aklapper.
Pginer-WMF raised the priority of this task from Low to Medium.Jul 6 2018, 9:21 AM

Change 461033 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] CX2: Prefetch MT and adaptations for the next paragraph

https://gerrit.wikimedia.org/r/461033

Extra: When the surface is ready, prefetch the translation for first section.

Change 461033 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] CX2: Prefetch MT and adaptations for the next paragraph

https://gerrit.wikimedia.org/r/461033

Petar.petkovic moved this task from In Review to QA on the Language-2018-July-September board.
Petar.petkovic removed a subscriber: gerritbot.
Arrbee closed this task as Resolved.Oct 1 2018, 2:41 PM